
GammaLib - Feature #34

Implement MC methods for all spectral models

02/20/2012 05:37 PM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2012

Priority: High Due date: 01/07/2013

Assigned To:  % Done: 100%

Category:  Estimated time: 10.00 hours

Target version: 00-08-00   

Description

So far, only the power law and the file function spectral models have the MC method implemented. The MC method should be

implemented for all other spectral models so that it can be used for photon simulations.

Subtasks:

Action # 654: Implement MC method for GModelSpectralLogParabola. Closed

Action # 391: Implement MC method for GModelSpectralConst Closed

Action # 392: Implement MC method for GModelSpectralExpPlaw Closed

History

#1 - 07/28/2012 12:55 AM - Knödlseder Jürgen

- Target version set to 00-06-00

#2 - 09/01/2012 03:49 AM - Knödlseder Jürgen

- Target version deleted (00-06-00)

#3 - 09/14/2012 11:38 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#4 - 12/15/2012 12:06 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#5 - 12/15/2012 11:54 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

The feature has been implemented.

We still need to add extensive unit tests of all models. This is covered by feature #53, hence we can put this one on feedback.

#6 - 12/18/2012 12:36 PM - Knödlseder Jürgen

- Status changed from Feedback to In Progress

The new model GModelSpectralLogParabola has so far no implemented mc() method.

#7 - 12/18/2012 04:40 PM - Knödlseder Jürgen

- Target version changed from 00-07-00 to 00-08-00

#8 - 01/07/2013 02:05 PM - Mayer Michael

- Due date set to 01/07/2013
due to changes in a related task

#9 - 01/07/2013 04:59 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#10 - 01/11/2013 12:32 AM - Knödlseder Jürgen

- Target version set to 00-08-00

#11 - 01/11/2013 12:34 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

All spectral model have now a mc() method.
